Subject: Re: bug#53196: 28.0.90; Default Emacs is too noisy

From: Po Lu <[email-masked]>
Date: Wed, 12 Jan 2022 08:56:33 +0800

"N. Jackson" <[email-masked]> writes:

> I ran emacs -Q today (to confirm a bug) and I was driven to
> distraction by all the beeping. [My Emacs is mercifully silent,
> presumably(?) because I have `visible-bell' turned on, so I'm not
> used to all the noise.] On this system the beep sounds like a drop
> of water falling into a pool and it is very loud (even though I keep
> my volume level set quite low). Just a few minutes in emacs -Q was a
> torture.
>
> It seems that this noisiness must be a deterrent to new users
> starting to use Emacs; it would certainly discourage some from
> sticking with it when they first use it.
>
> One simple improvement would be to not sound a beep when the user
> presses `C-g'. That would reduce the amount of noise very greatly.

They can turn on visible-bell, I think.  Ringing the bell is quite an
important feature that many of us have been tuned to listen to, and
disabling that by default would be quite sad.

Thanks.